<html>
<head>
<title>Ogre.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimation_8h_source.html">OgreAnimation.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAxisAlignedBox_8h_source.html">OgreAxisAlignedBox.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreBone_8h_source.html">OgreBone.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCamera_8h_source.html">OgreCamera.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreEntity_8h_source.html">OgreEntity.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreException_8h_source.html">OgreException.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreFrustum_8h_source.html">OgreFrustum.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgramManager_8h_source.html">OgreGpuProgramManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareIndexBuffer_8h_source.html">OgreHardwareIndexBuffer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwarePixelBuffer_8h_source.html">OgreHardwarePixelBuffer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareOcclusionQuery_8h_source.html">OgreHardwareOcclusionQuery.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHighLevelGpuProgram_8h_source.html">OgreHighLevelGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHighLevelGpuProgramManager_8h_source.html">OgreHighLevelGpuProgramManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreInstanceBatch_8h_source.html">OgreInstanceBatch.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreInstancedEntity_8h_source.html">OgreInstancedEntity.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreInstanceManager_8h_source.html">OgreInstanceManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreLight_8h_source.html">OgreLight.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterial_8h_source.html">OgreMaterial.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterialManager_8h_source.html">OgreMaterialManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMatrix4_8h_source.html">OgreMatrix4.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMeshManager_8h_source.html">OgreMeshManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOverlayContainer_8h_source.html">OgreOverlayContainer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOverlayElement_8h_source.html">OgreOverlayElement.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOverlayManager_8h_source.html">OgreOverlayManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreParticleAffector_8h_source.html">OgreParticleAffector.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreParticleEmitter_8h_source.html">OgreParticleEmitter.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreParticleSystemManager_8h_source.html">OgreParticleSystemManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePass_8h_source.html">OgrePass.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePatchMesh_8h_source.html">OgrePatchMesh.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePatchSurface_8h_source.html">OgrePatchSurface.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderQueueListener_8h_source.html">OgreRenderQueueListener.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderObjectListener_8h_source.html">OgreRenderObjectListener.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderTargetListener_8h_source.html">OgreRenderTargetListener.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderTexture_8h_source.html">OgreRenderTexture.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderWindow_8h_source.html">OgreRenderWindow.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRibbonTrail_8h_source.html">OgreRibbonTrail.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRoot_8h_source.html">OgreRoot.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneNode_8h_source.html">OgreSceneNode.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSimpleRenderable_8h_source.html">OgreSimpleRenderable.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSkeleton_8h_source.html">OgreSkeleton.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSkeletonInstance_8h_source.html">OgreSkeletonInstance.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSkeletonManager_8h_source.html">OgreSkeletonManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSkeletonSerializer_8h_source.html">OgreSkeletonSerializer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringVector_8h_source.html">OgreStringVector.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSubEntity_8h_source.html">OgreSubEntity.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTextureManager_8h_source.html">OgreTextureManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreVector2_8h_source.html">OgreVector2.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreViewport_8h_source.html">OgreViewport.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositor_8h_source.html">OgreCompositor.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositorChain_8h_source.html">OgreCompositorChain.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreWindowEventUtilities_8h_source.html">OgreWindowEventUtilities.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetup_8h_source.html">OgreShadowCameraSetup.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetupFocused_8h_source.html">OgreShadowCameraSetupFocused.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetupLiSPSM_8h_source.html">OgreShadowCameraSetupLiSPSM.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetupPlaneOptimal_8h_source.html">OgreShadowCameraSetupPlaneOptimal.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShadowCameraSetupPSSM_8h_source.html">OgreShadowCameraSetupPSSM.h</a>&quot;</code><br/>
</div>
<p><a href="Ogre_8h_source.html">Go to the source code of this file.</a></p>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
